%define oname   log4r

Name:       ruby-%{oname}
Version:    1.1.9
Release:    %mkrel 1
Summary:    Log4r, logging framework for ruby
License:    GPLv2
Group:      Development/Ruby
URL:        http://log4r.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Log4r is a comprehensive and flexible logging library written in Ruby for use
in Ruby programs. It features a hierarchical logging system of any number of
levels, custom level names, logger inheritance, multiple output destinations,
execution tracing, custom formatting, thread safetyness, XML and YAML
configuration, and more.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/TODO
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
ruby -Ilib tests/testbase.rb

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 13 2011 shikamaru <shikamaru> 1.1.9-1.mga1
+ Revision: 51510
- imported package ruby-log4r


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.9-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 1.1.9

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-8mdv2010.0
+ Revision: 433539
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-7mdv2009.0
+ Revision: 260429
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-6mdv2009.0
+ Revision: 251709
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.5-4mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.5-4mdv2008.0
+ Revision: 16898
- Use Development/Ruby group
- Use std macros
- Use mkrel


* Tue May 03 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.5-3mdk
- fix lib64

* Mon Apr 04 2005 Pascal Terjan <pterjan@mandrake.org> 1.0.5-2mdk
- BuildRequires ruby

* Mon Jan 12 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.5-1mdk 
- first mdk release

